<?php
/**
 * The template for displaying the footer.
 *
*/
?>

<?php include_once( ABSPATH . 'wp-admin/includes/plugin.php' ); ?>

    <!-- FOOTER -->
    <footer>
        <!-- FOOTER TOP -->
        <div class="row footer-top">
            <div class="container">
            <?php
                $rows_status = get_post_meta( get_the_ID(), 'mt_custom_footer_options_status', true );
                $row1_status = get_post_meta( get_the_ID(), 'mt_footer_custom_row1_status', true );
                $row2_status = get_post_meta( get_the_ID(), 'mt_footer_custom_row2_status', true );
                $row3_status = get_post_meta( get_the_ID(), 'mt_footer_custom_row3_status', true );
          
                //FOOTER ROW #1
                if ($rows_status == 'yes' && $row1_status == 'enabled') {
                    echo eaglewp_footer_row1();
                }
             
                //FOOTER ROW #2
                if ($rows_status == 'yes' && $row2_status == 'enabled') {
                    echo eaglewp_footer_row2();
                }
             
                //FOOTER ROW #3
                if ($rows_status == 'yes' && $row3_status == 'enabled') {
                    echo eaglewp_footer_row3();
                }
             ?>
            </div>
        </div>

        <!-- FOOTER BOTTOM -->
        <div class="row footer">
            <div class="container">
                <div class="row">
                    <div class="col-md-6">
                        <ul class="social-links">
                            <?php if ( eaglewp_redux('mt_social_fb') && eaglewp_redux('mt_social_fb') != '' ) { ?>
                                <li><a target="_blank" href="<?php echo esc_url( eaglewp_redux('mt_social_fb') ) ?>"><i class="fa fa-facebook"></i></a></li>
                            <?php } ?>
                            <?php if ( eaglewp_redux('mt_social_tw') && eaglewp_redux('mt_social_tw') != '' ) { ?>
                                <li><a target="_blank" href="https://twitter.com/<?php echo esc_url( eaglewp_redux('mt_social_tw') ) ?>"><i class="fa fa-twitter"></i></a></li>
                            <?php } ?>
                            <?php if ( eaglewp_redux('mt_social_youtube') && eaglewp_redux('mt_social_youtube') != '' ) { ?>
                                <li><a target="_blank" href="<?php echo esc_url( eaglewp_redux('mt_social_youtube') ) ?>"><i class="fa fa-youtube"></i></a></li>
                            <?php } ?>
                            <?php if ( eaglewp_redux('mt_social_pinterest') && eaglewp_redux('mt_social_pinterest') != '' ) { ?>
                                <li><a target="_blank" href="<?php echo esc_url( eaglewp_redux('mt_social_pinterest') ) ?>"><i class="fa fa-pinterest"></i></a></li>
                            <?php } ?>
                            <?php if ( eaglewp_redux('mt_social_linkedin') && eaglewp_redux('mt_social_linkedin') != '' ) { ?>
                                <li><a target="_blank" href="<?php echo esc_url( eaglewp_redux('mt_social_linkedin') ) ?>"><i class="fa fa-linkedin"></i></a></li>
                            <?php } ?>
                            <?php if ( eaglewp_redux('mt_social_skype') && eaglewp_redux('mt_social_skype') != '' ) { ?>
                                <li><a target="_blank" href="<?php echo esc_url( eaglewp_redux('mt_social_skype') ) ?>"><i class="fa fa-skype"></i></a></li>
                            <?php } ?>
                            <?php if ( eaglewp_redux('mt_social_instagram') && eaglewp_redux('mt_social_instagram') != '' ) { ?>
                                <li><a target="_blank" href="<?php echo esc_url( eaglewp_redux('mt_social_instagram') ) ?>"><i class="fa fa-instagram"></i></a></li>
                            <?php } ?>
                            <?php if ( eaglewp_redux('mt_social_dribbble') && eaglewp_redux('mt_social_dribbble') != '' ) { ?>
                                <li><a target="_blank" href="<?php echo esc_url( eaglewp_redux('mt_social_dribbble') ) ?>"><i class="fa fa-dribbble"></i></a></li>
                            <?php } ?>
                            <?php if ( eaglewp_redux('mt_social_deviantart') && eaglewp_redux('mt_social_deviantart') != '' ) { ?>
                                <li><a target="_blank" href="<?php echo esc_url( eaglewp_redux('mt_social_deviantart') ) ?>"><i class="fa fa-deviantart"></i></a></li>
                            <?php } ?>
                            <?php if ( eaglewp_redux('mt_social_digg') && eaglewp_redux('mt_social_digg') != '' ) { ?>
                                <li><a target="_blank" href="<?php echo esc_url( eaglewp_redux('mt_social_digg') ) ?>"><i class="fa fa-digg"></i></a></li>
                            <?php } ?>
                            <?php if ( eaglewp_redux('mt_social_flickr') && eaglewp_redux('mt_social_flickr') != '' ) { ?>
                                <li><a target="_blank" href="<?php echo esc_url( eaglewp_redux('mt_social_flickr') ) ?>"><i class="fa fa-flickr"></i></a></li>
                            <?php } ?>
                            <?php if ( eaglewp_redux('mt_social_stumbleupon') && eaglewp_redux('mt_social_stumbleupon') != '' ) { ?>
                                <li><a target="_blank" href="<?php echo esc_url( eaglewp_redux('mt_social_stumbleupon') ) ?>"><i class="fa fa-stumbleupon"></i></a></li>
                            <?php } ?>
                            <?php if ( eaglewp_redux('mt_social_tumblr') && eaglewp_redux('mt_social_tumblr') != '' ) { ?>
                                <li><a target="_blank" href="<?php echo esc_url( eaglewp_redux('mt_social_tumblr') ) ?>"><i class="fa fa-tumblr"></i></a></li>
                            <?php } ?>
                            <?php if ( eaglewp_redux('mt_social_vimeo') && eaglewp_redux('mt_social_vimeo') != '' ) { ?>
                                <li><a target="_blank" href="<?php echo esc_url( eaglewp_redux('mt_social_vimeo') ) ?>"><i class="fa fa-vimeo-square"></i></a></li>
                            <?php } ?>
                        </ul>
                    </div>
                    <div class="col-md-6 text-right">
                        <p class="copyright"><?php echo wp_kses_post(eaglewp_redux('mt_footer_text')); ?></p>
                    </div>
                </div>
            </div>
        </div>
    </footer>
</div>

<?php
    if(is_single() || is_page()){
        $mt_page_preloader = get_post_meta( get_the_ID(), 'mt_page_preloader', true );
        $mt_page_preloader_bg_color = get_post_meta( get_the_ID(), 'mt_page_preloader_bg_color', true );
        if (isset($mt_page_preloader) && $mt_page_preloader == 'enabled' && isset($mt_page_preloader_bg_color)) {
            echo  '<div class="eaglewp_preloader_holder '.eaglewp_redux('mt_preloader_animation').'">'.eaglewp_loader_animation().'</div>';
        }
    }else{
        if (eaglewp_redux('mt_preloader_status')) {
            echo  '<div class="eaglewp_preloader_holder '.eaglewp_redux('mt_preloader_animation').'">'.eaglewp_loader_animation().'</div>';
        } 
    }

?>

<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>